Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr.treewalker
[Java] Class TraversalHelper

    java.lang.Object
      org.codehaus.groovy.antlr.treewalker.TraversalHelper

All Implemented Interfaces:
  AntlrASTProcessor

    public abstract class TraversalHelper
    extends Object

Helper Class for Antlr AST traversal and visitation.

Authors:
  Jeremy Rayner

Version:
  \$Revision: 20589 \$

Field Summary
`protected List` | `unvisitedNodes`

Constructor Summary
`TraversalHelper(Visitor visitor)`

Method Summary
`protected void` | `accept(GroovySourceAST currentNode)`
`protected void` | `acceptChildren(GroovySourceAST t)`
`protected void` | `acceptSiblings(GroovySourceAST t)`
`protected void` | `accept_FirstChild_v_RestOfTheChildren(GroovySourceAST t)`
`protected void` | `accept_FirstChild_v_RestOfTheChildren_v(GroovySourceAST t)`
`protected void` | `accept_FirstChild_v_RestOfTheChildren_v_LastChild(GroovySourceAST t)`
`protected void` | `accept_FirstChild_v_SecondChild(GroovySourceAST t)`
`protected void` | `accept_FirstChild_v_SecondChild_v(GroovySourceAST t)`
`protected void` | `accept_FirstChild_v_SecondChild_v_ThirdChild_v(GroovySourceAST t)`
`protected void` | `accept_FirstChild_v_SecondChildsChildren_v(GroovySourceAST t)`
`protected void` | `accept_FirstSecondAndThirdChild_v_v_ForthChild(GroovySourceAST t)`
`protected void` | `accept_SecondChild_v_ThirdChild_v(GroovySourceAST t)`
`protected void` | `accept_v_AllChildren_v(GroovySourceAST t)`
`protected void` | `accept_v_AllChildren_v_Siblings(GroovySourceAST t)`
`protected void` | `accept_v_FirstChild_2ndv_SecondChild_v___LastChild_v(GroovySourceAST t)`
`protected void` | `accept_v_FirstChild_SecondChild_v_ThirdChild_v(GroovySourceAST t)`
`protected void` | `accept_v_FirstChild_v(GroovySourceAST t)`
`protected void` | `accept_v_FirstChild_v_RestOfTheChildren(GroovySourceAST t)`
`protected void` | `accept_v_FirstChild_v_RestOfTheChildren_v(GroovySourceAST t)`
`protected void` | `accept_v_FirstChild_v_SecondChild_v___LastChild_v(GroovySourceAST t)`
`protected void` | `accept_v_FirstChildsFirstChild_v_Child2_Child3_v_Child4_v___v_LastChild(GroovySourceAST t)`
`protected void` | `accept_v_FirstChildsFirstChild_v_RestOfTheChildren(GroovySourceAST t)`
`protected void` | `accept_v_Siblings_v(GroovySourceAST t)`
`protected void` | `closingVisit(GroovySourceAST t)`
`protected void` | `openingVisit(GroovySourceAST t)`
`protected GroovySourceAST` | `pop()`
`AST` | `process(AST t)`
`protected void` | `push(GroovySourceAST ast)`
`protected void` | `secondVisit(GroovySourceAST t)`
`protected void` | `setUp(GroovySourceAST ast)`
`protected void` | `skip(GroovySourceAST expr)`
`protected void` | `subsequentVisit(GroovySourceAST t)`
`protected void` | `tearDown(GroovySourceAST ast)`
`protected void` | `visitNode(GroovySourceAST ast, int n)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### unvisitedNodes

    protected List unvisitedNodes

Constructor Detail

### TraversalHelper

    public TraversalHelper(Visitor visitor)

Method Detail

### accept

    protected void accept(GroovySourceAST currentNode)

### acceptChildren

    protected void acceptChildren(GroovySourceAST t)

### acceptSiblings

    protected void acceptSiblings(GroovySourceAST t)

### accept_FirstChild_v_RestOfTheChildren

    protected void accept_FirstChild_v_RestOfTheChildren(GroovySourceAST t)

### accept_FirstChild_v_RestOfTheChildren_v

    protected void accept_FirstChild_v_RestOfTheChildren_v(GroovySourceAST t)

### accept_FirstChild_v_RestOfTheChildren_v_LastChild

    protected void accept_FirstChild_v_RestOfTheChildren_v_LastChild(GroovySourceAST t)

### accept_FirstChild_v_SecondChild

    protected void accept_FirstChild_v_SecondChild(GroovySourceAST t)

### accept_FirstChild_v_SecondChild_v

    protected void accept_FirstChild_v_SecondChild_v(GroovySourceAST t)

### accept_FirstChild_v_SecondChild_v_ThirdChild_v

    protected void accept_FirstChild_v_SecondChild_v_ThirdChild_v(GroovySourceAST t)

### accept_FirstChild_v_SecondChildsChildren_v

    protected void accept_FirstChild_v_SecondChildsChildren_v(GroovySourceAST t)

### accept_FirstSecondAndThirdChild_v_v_ForthChild

    protected void accept_FirstSecondAndThirdChild_v_v_ForthChild(GroovySourceAST t)

### accept_SecondChild_v_ThirdChild_v

    protected void accept_SecondChild_v_ThirdChild_v(GroovySourceAST t)

### accept_v_AllChildren_v

    protected void accept_v_AllChildren_v(GroovySourceAST t)

### accept_v_AllChildren_v_Siblings

    protected void accept_v_AllChildren_v_Siblings(GroovySourceAST t)

### accept_v_FirstChild_2ndv_SecondChild_v___LastChild_v

    protected void accept_v_FirstChild_2ndv_SecondChild_v___LastChild_v(GroovySourceAST t)

### accept_v_FirstChild_SecondChild_v_ThirdChild_v

    protected void accept_v_FirstChild_SecondChild_v_ThirdChild_v(GroovySourceAST t)

### accept_v_FirstChild_v

    protected void accept_v_FirstChild_v(GroovySourceAST t)

### accept_v_FirstChild_v_RestOfTheChildren

    protected void accept_v_FirstChild_v_RestOfTheChildren(GroovySourceAST t)

### accept_v_FirstChild_v_RestOfTheChildren_v

    protected void accept_v_FirstChild_v_RestOfTheChildren_v(GroovySourceAST t)

### accept_v_FirstChild_v_SecondChild_v___LastChild_v

    protected void accept_v_FirstChild_v_SecondChild_v___LastChild_v(GroovySourceAST t)

### accept_v_FirstChildsFirstChild_v_Child2_Child3_v_Child4_v___v_LastChild

    protected void accept_v_FirstChildsFirstChild_v_Child2_Child3_v_Child4_v___v_LastChild(GroovySourceAST t)

### accept_v_FirstChildsFirstChild_v_RestOfTheChildren

    protected void accept_v_FirstChildsFirstChild_v_RestOfTheChildren(GroovySourceAST t)

### accept_v_Siblings_v

    protected void accept_v_Siblings_v(GroovySourceAST t)

### closingVisit

    protected void closingVisit(GroovySourceAST t)

### openingVisit

    protected void openingVisit(GroovySourceAST t)

### pop

    protected GroovySourceAST pop()

### process

    public AST process(AST t)

### push

    protected void push(GroovySourceAST ast)

### secondVisit

    protected void secondVisit(GroovySourceAST t)

### setUp

    protected void setUp(GroovySourceAST ast)

### skip

    protected void skip(GroovySourceAST expr)

### subsequentVisit

    protected void subsequentVisit(GroovySourceAST t)

### tearDown

    protected void tearDown(GroovySourceAST ast)

### visitNode

    protected void visitNode(GroovySourceAST ast, int n)

Copyright © 2003-2010 The Codehaus. All rights reserved.